////////////////
// Inline SVG //
////////////////


function init(bricVersion)
{
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}

// Set SVG Code
function setSVGCode(SVGcode,attrName)
{
	var placeholder = document.getElementById("placeholder").outerHTML;
	$('editarea').html(placeholder+SVGcode);

	$('svg').attr('fill',$('#placeholder').attr('fill'));
	$('svg').attr('stroke',$('#placeholder').attr('stroke'));
	$('svg').attr('stroke-linecap',$('#placeholder').attr('stroke-linecap'));
	$('svg').attr('stroke-width',$('#placeholder').attr('stroke-width'));
	$('svg').attr('width',$('#placeholder').attr('width'));
	$('svg').attr('height',$('#placeholder').attr('height'));
	$('svg').attr('viewBox',$('#placeholder').attr('viewBox'));

	window.webkit.messageHandlers.sync.postMessage("changes"); // sync Changes
}

// Set Attr Value
function setAttrValue(attrVal,attrName)
{
	attrName = (attrName == 'viewbox' ? "viewBox" : attrName);
	$('svg').attr(attrName,attrVal);
	$('#placeholder').attr(attrName,attrVal);
	window.webkit.messageHandlers.sync.postMessage("changes"); // sync Changes
}

// Set Cap Type
function setCapType(capType,attrName)
{
	var endCap = 'round';

	if(capType == 1) // Square
	{
		endCap = 'square'
	}
	else if(capType == 2) // Butt
	{
		endCap = 'butt'
	}

	$('svg').attr('stroke-linecap',endCap);
	$('#placeholder').attr('stroke-linecap',endCap);
	window.webkit.messageHandlers.sync.postMessage("changes"); // sync Changes
}

